org.apache.hc.client5.http.auth

## Interface CredentialsProvider

All Known Subinterfaces:
  CredentialsStore

All Known Implementing Classes:
  BasicCredentialsProvider, SystemDefaultCredentialsProvider

    public interface CredentialsProvider

Provider of authentication credentials.

Implementations of this interface must be thread-safe. Access to shared data must be synchronized as methods of this interface may be executed from multiple threads.

Since:
  4.0

### Method Summary

Methods
`Credentials` `getCredentials(AuthScope authscope, org.apache.hc.core5.http.protocol.HttpContext context)` Returns `credentials` for the given authentication scope, if available.

### Method Detail

#### getCredentials

    Credentials getCredentials(AuthScope authscope,
                             org.apache.hc.core5.http.protocol.HttpContext context)

Returns `credentials` for the given authentication scope, if available.

Parameters:
  `authscope` - the `authentication scope`
  `context` - the `http context`
Returns:
  the credentials
Since:
  5.0